[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TFindDialog.CancelClick

Implements the OnClick event handler for the Cancel button on the dialog.

## Declaration

Source position: dialogs.pp line 497

`protected procedure TFindDialog.CancelClick(`
`Sender: TObject`
`);`

## Arguments

`Sender` |  | Object (TFindDialog) for the event notification.

## Description

CancelClick is a method which implements the event handler signalled when the Cancel button on the dialog form is clicked.

CancelClick calls the CloseDialog method to close the internal form instance for the dialog (when assigned).

The method is assigned to the OnClick event handler for the Cancel button in the CreateForm method.

## See also

TFindDialog.CloseDialog |  | Closes the dialog form when its Cancel button is clicked.
TFindDialog.DoCloseForm |  | Implements the OnClose event handler on the internal form displayed for the dialog.
TFindDialog.CreateForm |  | Creates and configures the internal form displayed for the dialog.
TCommonDialog.OnClose |  | Event handler signalled when the dialog is closed.
TCommonDialog.OnCanClose |  | Event handler signalled to determine if the dialog can be closed.
TButton.OnClick |  | Notification handler for mouse clicks.